Galon Cloud
Galon API v1

/storage/objects/{object_id}/links

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /storage/objects/{object_id}/links

Create a time-limited signed link

Exact scope storage:read. Hidden surface: 404 not_found until Galon Storage is open to the account.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
object_idpathstring · required

Request body

application/json

FieldTypeDescription
expires_ininteger · required
disposition"attachment" | "inline"

Responses

StatusDescriptionBody
201Signed URL, expiryobject
400body_fields_invalidError
404storage_object_not_foundError
401Key missing or invalidError

Examples

curl

curl -X POST "$GALON_API_BASE/storage/objects/<object_id>/links" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"expires_in": 1}'

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.objects.link("<id>", {"expires_in": 1});

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.objects.link("<id>", {"expires_in": 1})